# Record

{% hint style="warning" %}
myJson API V1 is deprecated. Please consider moving to the new [V2 API](https://docs.myjson.online/)
{% endhint %}

A **record** is a self-contained unit of data that contains data in JSON format.

Each **record** can be thought of as a single document or object that encapsulates a particular set of data, which can be easily stored, queried, and manipulated.&#x20;

**Records** can be created, retrieved, updated, and deleted via our app's user interface or RESTful API, providing you with the flexibility and control you need to manage your data effectively. Using JSON data makes it easy to store and work with your information in a standardized and scalable format.

A **record** can either be privately or publicly accessible, depending on its parent [collection](/v1/terminology/collection.md). If a record is not assigned to a specific collection, it is publicly accessible by default.

{% hint style="danger" %}
**Public** record can be edited by anyone who have the record id.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myjson.online/v1/terminology/record.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
